curl --request GET \
--url https://api.example.com/v1/balances/{currency} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/v1/balances/{currency}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/v1/balances/{currency}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"merchant_id": "019a0423-2941-735f-9a93-819df469ad39",
"reserved_amount": 0,
"total_amount": 16995,
"available_amount": 0,
"fee_amount": 0,
"pending_amount": 16995,
"available_count": 0,
"pending_count": 7,
"currency": "IDR",
"last_modified_by": "System",
"last_modified_on": "2025-10-21T00:22:40.8945126+00:00",
"created_by": "System",
"created_on": "2025-10-21T00:22:40.8945126+00:00",
"id": "63c3e1cc-8a94-4613-9b4d-9c72e46ef254"
}Get Balance By Currency
Retrieve the balance information for a specified currency.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Unique identifier of the merchant account.
Funds reserved and not available for payout (e.g., unsettled, held for compliance checks).
Total funds recorded under the merchant account (available + pending).
Funds available for payout/withdrawal.
Accumulated transaction fees deducted from the account.
Funds pending settlement (e.g., in-progress or clearing transactions).
Number of transactions that are already settled and available.
Number of transactions still pending settlement.
Currency code (ISO-4217), e.g., IDR, SGD.
User or system identifier of the last update action.
Timestamp when the record was last updated.
User or system identifier that created the record.
Timestamp when the record was created.
Unique identifier for this balance record.